# Remove-RASCustomRoute.md

## NAME

Remove-RASCustomRoute

## SYNOPSIS

Removes a Custom Route from a site.

## SYNTAX

**Remove-RASCustomRoute** \[[Id](#id-string)] *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASCustomRoute \[-[InputObject](#inputobject)] *(*[*CustomRoute*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/customroute.md)*)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASCustomRoute** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes a Custom Route from a site.

## PARAMETERS

## Name (string)

The name of a Custom Route to remove from a site.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to remove the Custom Route.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a Custom Route to remove from the site.

To obtain the ID, use the Get-RASCustomRoute cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([CustomRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/customroute.md))

The Custom Route to remove from a site.

To obtain a VDIHostPool object representing a Custom Route, use the Get-RASCustomRoute command.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[CustomRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/customroute.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASCustomRoute -Name "My Custom Route"

Removes the Custom Route specified by name from the Licensing Server site (default).

To remove a Custom Route from a specific site, specify the -SiteId parameter.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASCustomRoute -Id 10

Removes the Custom Route specified by ID. To obtain the group ID, use the Get-RASCustomRoute cmdlet.\
\*\*---------- EXAMPLE 3 ----------

Get-RASCustomRoute -Id 10 | Remove-RASCustomRoute

Removes a Custom Route, which is identified by an object obtained from the pipeline output.

## RELATED LINKS

* [New-RASCustomRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rascustomroute.md)
* [Get-RASCustomRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rascustomroute.md)
* [Set-RASCustomRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rascustomroute.md)
* [Add-RASPubItemPreferredRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-raspubitempreferredroute.md)
* [Get-RASPubItemPreferredRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubitempreferredroute.md)
* [Set-RASPubItemPreferredRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raspubitempreferredroute.md)
* [Remove-RASPubItemPreferredRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-raspubitempreferredroute.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rascustomroute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
